<?php
$el = error_reporting (0);
require_once ('../includes/defaults.php');
if (file_exists ('../config.php')) {
	include_once ('../config.php');
}
error_reporting ($el);

$wat_self_dir = dirname (dirname ($_SERVER['PHP_SELF']));
?>

var wat_self_dir = '<?php print $wat_self_dir ?>';

function includeCSS(p_file) {
	var v_css  = document.createElement('link');
	v_css.rel = 'stylesheet'
	v_css.type = 'text/css';
	v_css.href = p_file;
	document.getElementsByTagName('head')[0].appendChild(v_css);
}

includeCSS (wat_self_dir +  '/template/<?php print $TEMPLATE ?>/style.css');

<?php
foreach (array ('jquery-1.2.6.min.js', 'jquery.dimensions.js', 'jquery.cluetip.js') as $f) {
	print file_get_contents ($f);
}
?>

$(document).ready(function () {
	$('.wat_tip').cluetip ({
		showTitle: false,
		dropShadow: false,
		tracking: true,
		fx: {
			open: 'fadeIn'
		}
	});

	$('.wat_tip').show (
		function () {
			if ($(this).attr ('rel') != 'item' && $(this).attr ('rel') != 'char') {
				return;
			}
			
			var obj = this;
<?php
if ($AUTOCOLOR_ITEM_QUALITY || $AUTO_ITEM_ICON) {
?>
			if ($(this).attr ('rel') == 'item') {
				$.ajax({
					url: wat_self_dir + '/wat.php?item=' + $(this).attr ('title') + '&prop=quality',
					success: function (data, textStatus) {
							$(obj).addClass (data);
					}
				});

				<?php if ($AUTO_ITEM_ICON) { ?>
					$(this).before ('<img src="' + wat_self_dir + '/wat.php?item=' + $(this).attr('title') + '&prop=icon" valign="middle" /> ');
				<?php } else { ?>
					if ($(this).hasClass ('wat_item_icon') || $(this).hasClass ('wat_auto_icons')) {
						$(this).before ('<img src="' + wat_self_dir + '/wat.php?item=' + $(this).attr('title') + '&prop=icon" valign="middle" /> ');
					}
				<?php } ?>
			}
<?php
}
?>

			if ($(this).attr ('rel') == 'char') {
				var rn = $(this).attr('title').split (':', 2);

				<?php if ($AUTOCOLOR_CHAR_CLASS) { ?>
				$.ajax({
					url: wat_self_dir + '/wat.php?realm=' + rn[0] + '&char=' + rn[1]  + '&prop=class',
					success: function (data, textStatus) {
							$(obj).addClass (data);
					}
				});
				<?php } ?>
				if (!$(this).hasClass ('wat_no_auto_icons')) {
					<?php if ($AUTO_RACE_ICON) { ?>
					$(this).before ('<img src="' + wat_self_dir + '/wat.php?icon=race&realm=' + rn[0] + '&char=' + rn[1]  +'" valign="middle" /> ');
					<?php } else { ?>
						if ($(this).hasClass ('wat_race_icon') || $(this).hasClass ('wat_auto_icons')) {
							$(this).before ('<img src="' + wat_self_dir + '/wat.php?icon=race&realm=' + rn[0] + '&char=' + rn[1]  +'" valign="middle" /> ');
						}
					<?php } ?>
					<?php if ($AUTO_CLASS_ICON) { ?>
					$(this).before ('<img src="' + wat_self_dir + '/wat.php?icon=class&realm=' + rn[0] + '&char=' + rn[1]  +'" valign="middle" /> ');
					<?php } else { ?>
						if ($(this).hasClass ('wat_class_icon') || $(this).hasClass ('wat_auto_icons')) {
							$(this).before ('<img src="' + wat_self_dir + '/wat.php?icon=class&realm=' + rn[0] + '&char=' + rn[1]  +'" valign="middle" /> ');
						}
					<?php } ?>
				}
			}
	});

	$('.wat_icon').show (
		function () {
			var rn = $(this).attr ('title').split (':', 2);
			this.src = wat_self_dir + '/wat.php?icon=' + $(this).attr ('rel') + '&realm=' + rn[0] + '&char=' + rn[1];
			this.title = null;
		}
	);
});
