<table class="wat_item_tooltip">
	<tr>
		<td width="43" valign="top">
			<img src="<?php print $item->item['icon'] ?>" border="0">
  		</td>
  		<td class="wat_item_stats">
  			<div class="wat_item_q_<?php print $item->item['quality'] ?>"><?php print $item->item['name'] ?></div>

  			<?php if ($item->bonding) { ?>
  			<div class="wat_item_bonding"><?php print $item->bonding ?></div>
  			<?php } ?>

  			<?php if (isset ($item->required['level'])) { ?>
  			<div class="wat_item_require_level">Requires level <?php print $item->required['level'] ?></div>
  			<?php } ?>

  			<?php if (isset ($item->required['classes'])) { ?>
  			<div class="wat_item_require_class">Classes: <?php print implode ($item->required['classes'], ', ') ?></div>
  			<?php } ?>

  			<?php if (isset ($item->required['ability'])) { ?>
  			<div class="wat_item_require_ability">Requires <?php print $item->required['ability'] ?></div>
  			<?php } ?>

  			<?php if (isset ($item->required['faction'])) { ?>
  			<div class="wat_item_require_faction">Requires <?php print $item->required['faction']['name'] ?> -
  				<?php print $item->required['faction']['rep'] ?></div>
  			<?php } ?>

  			<?php if (isset ($item->required['skill'])) { ?>
  			<div class="wat_item_require_skll">Requires <?php print $item->required['skill']['rank'] ?>
  				<?php print $item->required['skill']['name'] ?></div>
  			<?php } ?>

  			<?php if ($item->required['unique']) { ?>
  			<div class="wat_item_unique">Unique</div>
  			<?php } ?>

 			<table class="wat_item_type">
   				<tr>
					<td class="wat_item_type_slot">
        					<?php print $item->equip['slot'] ?>
      					</td>
      					<td class="wat_item_type_class">
      						<?php print $item->equip['class'] ?>
      					</td>
    				</tr>
  			</table>

			<?php if (is_array ($item->damage)) { ?>
 			<table class="wat_item_damage">
			        <?php $c = 0; foreach ($item->damage['damage'] as $dmg) { $c++; ?>
  				<tr>
					<td class="wat_item_damage_range" <?php if ($c >1 ) print 'colspan="2"'; ?>>
						<?php print $dmg['min'] ?> - <?php print $dmg['max'] ?> <?php if ($dmg['type'] != 'Physical') { print $dmg['type']; } ?> dmg
      					</td>
					<?php if ($c <= 1) { ?>
	      				<td class="wat_item_damage_speed">
        					Speed <?php print $item->damage['speed'] ?>
      					</td>
					<?php } ?>
    				</tr>
				<?php } ?>
    				<tr>
     					<td colspan="2" class="wat_item_dps">
        					<?php print $item->damage['dps'] ?> DPS
     					</td>
    				</tr>
   			</table>
   			<?php } ?>

   			<?php if (isset ($item->stats['armor'])) { ?>
   			<div class="wat_item_stat_armor"><?php print $item->stats['armor'] ?> Armor</div>
   			<?php } ?>

   			<?php if (isset ($item->stats['blockvalue'])) { ?>
   			<div class="wat_item_stat_blockvalue"><?php print $item->stats['blockvalue']['value'] ?>
   				<?php print $item->stats['blockvalue']['name']?></div>
   			<?php } ?>

   			<?php if (is_array ($item->stats)) {
				foreach ($item->stats as $stat) { ?>
   			<?php if (is_array ($stat) && $stat['name'] != 'Block') { ?>
   			<div class="wat_item_stat">+ <?php print $stat['value'] ?> <?php print $stat['name'] ?></div>
   			<?php } } } ?>

   			<?php if (is_array ($item->sockets)) { ?>
   			<div class="wat_item_sockets">
			<?php	foreach ($item->sockets as $s) { ?>
   			<div class="wat_item_socket_<?php print $s['color'] ?>"><img src="<?php print $s['icon_url'] ?>" /><?php print $s['color'] ?> socket</div>
   			<?php } ?>
   			Socket bonus: <?php print $item->socket_bonus ?>
   			</div>
   			<?php } ?>

			<?php if (isset ($item->durability['max'])) { ?>
			<div class="wat_item_durability">Durability: <?php print $item->durability['current'] ?> / <?php print $item->durability['max'] ?></div>
			<?php } ?>

			<?php if (is_array ($item->bonus)) {
				foreach ($item->bonus as $key => $bonus) { ?>
			<div class="wat_item_bonus">Equip: <?php print $bonus['bonus'] ?> by <?php print $bonus['value'] ?></div>
			<?php } } ?>

			<?php if (is_array ($item->bonus_spell)) {
				foreach ($item->bonus_spell as $spell) { ?>
			<div class="wat_item_bonus"><?php
			switch ($spell['trigger']) {
				case 'on_equip': ?>Equip<?php break;
				case 'on_use': ?>Use<?php break;
				case 'chance_on_hit': ?>Chance on Hit<?php break;
			}?>: <?php
			print $spell['desc'] ?></div>
			<?php } } ?>

			<?php if ($SHOW_SET_DATA) { ?>
			<?php if (is_array ($item->set_data)) { ?>
  			<div class="wat_item_set">
  				<span class="wat_item_set_name"><?php print $item->set_data['name'] ?> (0/<?php print count ($item->set_data['item']) ?>)</span>
  				<?php if (is_array ($item->set_data['requiredskill'])) { ?>
  				<div class="wat_item_set_bonus_require">
  					Requires <?php print $item->set_data['requiredskill']['name'] ?>
  					(<?php print $item->set_data['requiredskill']['rank'] ?>)
  				</div>
  				<?php } ?>

  				<ul class="wat_item_set_items"><?php foreach ($item->set_data['item'] as $n) { ?>
  					<li><?php print $n['name'] ?></li>
  				<?php } ?></ul>

  				<?php if (is_array ($item->set_data['setbonus'])) { ?>
  				<ul class="wat_item_set_bonuses">
					<?php foreach ($item->set_data['setbonus'] as $sb) { ?>
					<li> (<?php print $sb['threshold'] ?>) set: <?php print $sb['desc'] ?></li>
					<?php } ?>
				</ul>
  				<?php } ?>
  			</div>
  			<?php } ?>
  			<?php } ?>

  			<?php if ($item->desc) { ?>
  			<div class="wat_item_description"><?php print $item->desc ?></div>
  			<?php } ?>
  		</td>
 	</tr>
</table>
