<?php

define ('WAT_USER_AGENT', 'Mozilla/5.0 (X11; U; Linux i686; en-US) WAT/2.0 Firefox/3.0');

function wat_get_url ($url, $language = NULL) {
	if (array_search ('curl', get_loaded_extensions ()) !== false) {
		$ch = curl_init();

		curl_setopt ($ch, CURLOPT_URL, $url);
		curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, 10);
		curl_setopt ($ch, CURLOPT_TIMEOUT, 10);
		curl_setopt ($ch, CURLOPT_USERAGENT, WAT_USER_AGENT);
		curl_setopt ($ch, CURLOPT_HTTPHEADER, array('Accept-language: '.$language));
		curl_setopt ($ch, CURLOPT_HEADER, 0);
		curl_setopt ($ch, CURLOPT_FOLLOWLOCATION, 1);

		$f = curl_exec($ch);

		curl_close($ch);

		return $f;
	} elseif (ini_get ('allow_url_fopen')) {
		if ($language) {
			$user_agent = WAT_USER_AGENT . "\r\nAccept-Language: " . $language;
		} else {
			$user_agent = WAT_USER_AGENT;
		}
		
		$opts = array (
			'http' => array (
				'method' => "GET",
				'header'=> "User-Agent: " . $user_agent
			)
		);

		$context = stream_context_create ($opts);

		$f = '';
		$handle = fopen ($url, 'r', false, $context);
		while (!feof ($handle)) {
			$f .= fgets ($handle);
		}
		fclose ($handle);
		return $f;
	}

	trigger_error ('Could not fetch URL, neither with cURL, nor fopen', E_USER_ERROR);
	return false;
}
?>
