<table class="wat_tt_main">
  <tr class="wat_tt_header">
    <td class="wat_tt_avatar">
      <img src="<?php print $char->avatar['url'] ?>">
    </td>
    <td class="wat_tt_char_info">
      <span class="wat_tt_char_name"><?php
	 if ($char->char['title']) {
		 print str_replace ('%s', $char->char['name'], $char->char['title']);
	 } else {
		 print $char->char['name'];
	 }
      ?></span>
      <?php if (isset ($char->char['guild'])) { ?>
      <span class="wat_tt_char_guild">&lt;<?php print $char->char['guild'] ?>&gt;</span>
      <?php } ?>
      <span class="wat_tt_char_stuff">Level <?php print $char->char['level'] ?> <?php print $char->char['race'] ?> <?php print $char->char['class'] ?></span>

      <div class="wat_tt_talents">
        <?php foreach ($char->talents as $tal => $t) { ?>
	  <nobr>
          <img src="<?php print $t['icon_url'] ?>">
          <span class="wat_tt_talent_trees"><?php print $t['tree'][1] ?>/<?php print $t['tree'][2] ?>/<?php print $t['tree'][3] ?></span>
	  <span class="wat_tt_talent_spec"><?php print $t['prim'] ?></span>
	  <span class="wat_tt_talent_active"><?php if ($t['active']=='1') print " (Active)" ?></span>
	  </nobr>
          <br>
        <?php } ?>
      </div>
    </td>
     <td class="wat_tt_buffs">
	 <?php if ($SHOW_BUFFS) {
	 	foreach ($char->buffs as $b => $buff) { ?>
	 <img src="<?php print $buff['icon'] ?>" border='0'>
	 <?php } } ?>
     </td>
 </tr>

 <tr>
  <td class="wat_tt_stat_health" colspan="100%">
    <center> <?php print $char->health ?> </center>
  </td>
 </tr>

 <tr>
  <td class="wat_tt_stat_<?php print $char->secondbar['class'] ?>" colspan="100%">
    <center> <?php print $char->secondbar['value'] ?> </center>
  </td>
 </tr>

 <tr>
  <td colspan="100%">
   <table class="wat_tt_stats">
	<?php foreach ($char->stats as $stat => $v) { ?>
                 <tr>
                   <td class="wat_tt_stat_<?php print $v['class'] ?>">
                      <?php print $v['field'] ?>:
                   </td>
                   <td class="wat_tt_stat_value">
                        &nbsp; <?php print $v['value'] ?>
                   </td>
                 </tr>
	<?php } ?>
    </table>

  </td>
</tr>

<?php if ($SHOW_PROFESSIONS) { ?>
<tr>
    <td colspan="100%">
	<table class="wat_tt_professions">
	<?php foreach ($char->professions as $prof => $p) { ?>
		<tr>
			<td class="wat_tt_profession_name">
				<img src="<?php print $p['icon_url'] ?>">
				<?php print $p['name'] ?>
			</td>
		   	<td class="wat_tt_profession_skill">
				&nbsp; <?php print $p['value'] ?>/<?php print $p['max'] ?>
		   	</td>
		</tr>
	<?php } ?>
	</table>
   </td>
</tr>
<?php } ?>
</table>
